Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
26cb::/16
First address
26cb::
Last address
26cb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
26cb:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
b.c.6.2.ip6.arpa
Split into smaller subnets/28

26cb::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
126cb::/2826cb:f:ffff:ffff:ffff:ffff:ffff:ffff
226cb:10::/2826cb:1f:ffff:ffff:ffff:ffff:ffff:ffff
326cb:20::/2826cb:2f:ffff:ffff:ffff:ffff:ffff:ffff
426cb:30::/2826cb:3f:ffff:ffff:ffff:ffff:ffff:ffff
526cb:40::/2826cb:4f:ffff:ffff:ffff:ffff:ffff:ffff
626cb:50::/2826cb:5f:ffff:ffff:ffff:ffff:ffff:ffff
726cb:60::/2826cb:6f:ffff:ffff:ffff:ffff:ffff:ffff
826cb:70::/2826cb:7f:ffff:ffff:ffff:ffff:ffff:ffff
926cb:80::/2826cb:8f:ffff:ffff:ffff:ffff:ffff:ffff
1026cb:90::/2826cb:9f:ffff:ffff:ffff:ffff:ffff:ffff
1126cb:a0::/2826cb:af:ffff:ffff:ffff:ffff:ffff:ffff
1226cb:b0::/2826cb:bf:ffff:ffff:ffff:ffff:ffff:ffff
1326cb:c0::/2826cb:cf:ffff:ffff:ffff:ffff:ffff:ffff
1426cb:d0::/2826cb:df:ffff:ffff:ffff:ffff:ffff:ffff
1526cb:e0::/2826cb:ef:ffff:ffff:ffff:ffff:ffff:ffff
1626cb:f0::/2826cb:ff:ffff:ffff:ffff:ffff:ffff:ffff
1726cb:100::/2826cb:10f:ffff:ffff:ffff:ffff:ffff:ffff
1826cb:110::/2826cb:11f:ffff:ffff:ffff:ffff:ffff:ffff
1926cb:120::/2826cb:12f:ffff:ffff:ffff:ffff:ffff:ffff
2026cb:130::/2826cb:13f:ffff:ffff:ffff:ffff:ffff:ffff
2126cb:140::/2826cb:14f:ffff:ffff:ffff:ffff:ffff:ffff
2226cb:150::/2826cb:15f:ffff:ffff:ffff:ffff:ffff:ffff
2326cb:160::/2826cb:16f:ffff:ffff:ffff:ffff:ffff:ffff
2426cb:170::/2826cb:17f:ffff:ffff:ffff:ffff:ffff:ffff
2526cb:180::/2826cb:18f:ffff:ffff:ffff:ffff:ffff:ffff
2626cb:190::/2826cb:19f:ffff:ffff:ffff:ffff:ffff:ffff
2726cb:1a0::/2826cb:1af:ffff:ffff:ffff:ffff:ffff:ffff
2826cb:1b0::/2826cb:1bf:ffff:ffff:ffff:ffff:ffff:ffff
2926cb:1c0::/2826cb:1cf:ffff:ffff:ffff:ffff:ffff:ffff
3026cb:1d0::/2826cb:1df:ffff:ffff:ffff:ffff:ffff:ffff
3126cb:1e0::/2826cb:1ef:ffff:ffff:ffff:ffff:ffff:ffff
3226cb:1f0::/2826cb:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3326cb:200::/2826cb:20f:ffff:ffff:ffff:ffff:ffff:ffff
3426cb:210::/2826cb:21f:ffff:ffff:ffff:ffff:ffff:ffff
3526cb:220::/2826cb:22f:ffff:ffff:ffff:ffff:ffff:ffff
3626cb:230::/2826cb:23f:ffff:ffff:ffff:ffff:ffff:ffff
3726cb:240::/2826cb:24f:ffff:ffff:ffff:ffff:ffff:ffff
3826cb:250::/2826cb:25f:ffff:ffff:ffff:ffff:ffff:ffff
3926cb:260::/2826cb:26f:ffff:ffff:ffff:ffff:ffff:ffff
4026cb:270::/2826cb:27f:ffff:ffff:ffff:ffff:ffff:ffff
4126cb:280::/2826cb:28f:ffff:ffff:ffff:ffff:ffff:ffff
4226cb:290::/2826cb:29f:ffff:ffff:ffff:ffff:ffff:ffff
4326cb:2a0::/2826cb:2af:ffff:ffff:ffff:ffff:ffff:ffff
4426cb:2b0::/2826cb:2bf:ffff:ffff:ffff:ffff:ffff:ffff
4526cb:2c0::/2826cb:2cf:ffff:ffff:ffff:ffff:ffff:ffff
4626cb:2d0::/2826cb:2df:ffff:ffff:ffff:ffff:ffff:ffff
4726cb:2e0::/2826cb:2ef:ffff:ffff:ffff:ffff:ffff:ffff
4826cb:2f0::/2826cb:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4926cb:300::/2826cb:30f:ffff:ffff:ffff:ffff:ffff:ffff
5026cb:310::/2826cb:31f:ffff:ffff:ffff:ffff:ffff:ffff
5126cb:320::/2826cb:32f:ffff:ffff:ffff:ffff:ffff:ffff
5226cb:330::/2826cb:33f:ffff:ffff:ffff:ffff:ffff:ffff
5326cb:340::/2826cb:34f:ffff:ffff:ffff:ffff:ffff:ffff
5426cb:350::/2826cb:35f:ffff:ffff:ffff:ffff:ffff:ffff
5526cb:360::/2826cb:36f:ffff:ffff:ffff:ffff:ffff:ffff
5626cb:370::/2826cb:37f:ffff:ffff:ffff:ffff:ffff:ffff
5726cb:380::/2826cb:38f:ffff:ffff:ffff:ffff:ffff:ffff
5826cb:390::/2826cb:39f:ffff:ffff:ffff:ffff:ffff:ffff
5926cb:3a0::/2826cb:3af:ffff:ffff:ffff:ffff:ffff:ffff
6026cb:3b0::/2826cb:3bf:ffff:ffff:ffff:ffff:ffff:ffff
6126cb:3c0::/2826cb:3cf:ffff:ffff:ffff:ffff:ffff:ffff
6226cb:3d0::/2826cb:3df:ffff:ffff:ffff:ffff:ffff:ffff
6326cb:3e0::/2826cb:3ef:ffff:ffff:ffff:ffff:ffff:ffff
6426cb:3f0::/2826cb:3ff:ffff:ffff:ffff:ffff:ffff:ffff
6526cb:400::/2826cb:40f:ffff:ffff:ffff:ffff:ffff:ffff
6626cb:410::/2826cb:41f:ffff:ffff:ffff:ffff:ffff:ffff
6726cb:420::/2826cb:42f:ffff:ffff:ffff:ffff:ffff:ffff
6826cb:430::/2826cb:43f:ffff:ffff:ffff:ffff:ffff:ffff
6926cb:440::/2826cb:44f:ffff:ffff:ffff:ffff:ffff:ffff
7026cb:450::/2826cb:45f:ffff:ffff:ffff:ffff:ffff:ffff
7126cb:460::/2826cb:46f:ffff:ffff:ffff:ffff:ffff:ffff
7226cb:470::/2826cb:47f:ffff:ffff:ffff:ffff:ffff:ffff
7326cb:480::/2826cb:48f:ffff:ffff:ffff:ffff:ffff:ffff
7426cb:490::/2826cb:49f:ffff:ffff:ffff:ffff:ffff:ffff
7526cb:4a0::/2826cb:4af:ffff:ffff:ffff:ffff:ffff:ffff
7626cb:4b0::/2826cb:4bf:ffff:ffff:ffff:ffff:ffff:ffff
7726cb:4c0::/2826cb:4cf:ffff:ffff:ffff:ffff:ffff:ffff
7826cb:4d0::/2826cb:4df:ffff:ffff:ffff:ffff:ffff:ffff
7926cb:4e0::/2826cb:4ef:ffff:ffff:ffff:ffff:ffff:ffff
8026cb:4f0::/2826cb:4ff:ffff:ffff:ffff:ffff:ffff:ffff
8126cb:500::/2826cb:50f:ffff:ffff:ffff:ffff:ffff:ffff
8226cb:510::/2826cb:51f:ffff:ffff:ffff:ffff:ffff:ffff
8326cb:520::/2826cb:52f:ffff:ffff:ffff:ffff:ffff:ffff
8426cb:530::/2826cb:53f:ffff:ffff:ffff:ffff:ffff:ffff
8526cb:540::/2826cb:54f:ffff:ffff:ffff:ffff:ffff:ffff
8626cb:550::/2826cb:55f:ffff:ffff:ffff:ffff:ffff:ffff
8726cb:560::/2826cb:56f:ffff:ffff:ffff:ffff:ffff:ffff
8826cb:570::/2826cb:57f:ffff:ffff:ffff:ffff:ffff:ffff
8926cb:580::/2826cb:58f:ffff:ffff:ffff:ffff:ffff:ffff
9026cb:590::/2826cb:59f:ffff:ffff:ffff:ffff:ffff:ffff
9126cb:5a0::/2826cb:5af:ffff:ffff:ffff:ffff:ffff:ffff
9226cb:5b0::/2826cb:5bf:ffff:ffff:ffff:ffff:ffff:ffff
9326cb:5c0::/2826cb:5cf:ffff:ffff:ffff:ffff:ffff:ffff
9426cb:5d0::/2826cb:5df:ffff:ffff:ffff:ffff:ffff:ffff
9526cb:5e0::/2826cb:5ef:ffff:ffff:ffff:ffff:ffff:ffff
9626cb:5f0::/2826cb:5ff:ffff:ffff:ffff:ffff:ffff:ffff
9726cb:600::/2826cb:60f:ffff:ffff:ffff:ffff:ffff:ffff
9826cb:610::/2826cb:61f:ffff:ffff:ffff:ffff:ffff:ffff
9926cb:620::/2826cb:62f:ffff:ffff:ffff:ffff:ffff:ffff
10026cb:630::/2826cb:63f:ffff:ffff:ffff:ffff:ffff:ffff
10126cb:640::/2826cb:64f:ffff:ffff:ffff:ffff:ffff:ffff
10226cb:650::/2826cb:65f:ffff:ffff:ffff:ffff:ffff:ffff
10326cb:660::/2826cb:66f:ffff:ffff:ffff:ffff:ffff:ffff
10426cb:670::/2826cb:67f:ffff:ffff:ffff:ffff:ffff:ffff
10526cb:680::/2826cb:68f:ffff:ffff:ffff:ffff:ffff:ffff
10626cb:690::/2826cb:69f:ffff:ffff:ffff:ffff:ffff:ffff
10726cb:6a0::/2826cb:6af:ffff:ffff:ffff:ffff:ffff:ffff
10826cb:6b0::/2826cb:6bf:ffff:ffff:ffff:ffff:ffff:ffff
10926cb:6c0::/2826cb:6cf:ffff:ffff:ffff:ffff:ffff:ffff
11026cb:6d0::/2826cb:6df:ffff:ffff:ffff:ffff:ffff:ffff
11126cb:6e0::/2826cb:6ef:ffff:ffff:ffff:ffff:ffff:ffff
11226cb:6f0::/2826cb:6ff:ffff:ffff:ffff:ffff:ffff:ffff
11326cb:700::/2826cb:70f:ffff:ffff:ffff:ffff:ffff:ffff
11426cb:710::/2826cb:71f:ffff:ffff:ffff:ffff:ffff:ffff
11526cb:720::/2826cb:72f:ffff:ffff:ffff:ffff:ffff:ffff
11626cb:730::/2826cb:73f:ffff:ffff:ffff:ffff:ffff:ffff
11726cb:740::/2826cb:74f:ffff:ffff:ffff:ffff:ffff:ffff
11826cb:750::/2826cb:75f:ffff:ffff:ffff:ffff:ffff:ffff
11926cb:760::/2826cb:76f:ffff:ffff:ffff:ffff:ffff:ffff
12026cb:770::/2826cb:77f:ffff:ffff:ffff:ffff:ffff:ffff
12126cb:780::/2826cb:78f:ffff:ffff:ffff:ffff:ffff:ffff
12226cb:790::/2826cb:79f:ffff:ffff:ffff:ffff:ffff:ffff
12326cb:7a0::/2826cb:7af:ffff:ffff:ffff:ffff:ffff:ffff
12426cb:7b0::/2826cb:7bf:ffff:ffff:ffff:ffff:ffff:ffff
12526cb:7c0::/2826cb:7cf:ffff:ffff:ffff:ffff:ffff:ffff
12626cb:7d0::/2826cb:7df:ffff:ffff:ffff:ffff:ffff:ffff
12726cb:7e0::/2826cb:7ef:ffff:ffff:ffff:ffff:ffff:ffff
12826cb:7f0::/2826cb:7ff:ffff:ffff:ffff:ffff:ffff:ffff
12926cb:800::/2826cb:80f:ffff:ffff:ffff:ffff:ffff:ffff
13026cb:810::/2826cb:81f:ffff:ffff:ffff:ffff:ffff:ffff
13126cb:820::/2826cb:82f:ffff:ffff:ffff:ffff:ffff:ffff
13226cb:830::/2826cb:83f:ffff:ffff:ffff:ffff:ffff:ffff
13326cb:840::/2826cb:84f:ffff:ffff:ffff:ffff:ffff:ffff
13426cb:850::/2826cb:85f:ffff:ffff:ffff:ffff:ffff:ffff
13526cb:860::/2826cb:86f:ffff:ffff:ffff:ffff:ffff:ffff
13626cb:870::/2826cb:87f:ffff:ffff:ffff:ffff:ffff:ffff
13726cb:880::/2826cb:88f:ffff:ffff:ffff:ffff:ffff:ffff
13826cb:890::/2826cb:89f:ffff:ffff:ffff:ffff:ffff:ffff
13926cb:8a0::/2826cb:8af:ffff:ffff:ffff:ffff:ffff:ffff
14026cb:8b0::/2826cb:8bf:ffff:ffff:ffff:ffff:ffff:ffff
14126cb:8c0::/2826cb:8cf:ffff:ffff:ffff:ffff:ffff:ffff
14226cb:8d0::/2826cb:8df:ffff:ffff:ffff:ffff:ffff:ffff
14326cb:8e0::/2826cb:8ef:ffff:ffff:ffff:ffff:ffff:ffff
14426cb:8f0::/2826cb:8ff:ffff:ffff:ffff:ffff:ffff:ffff
14526cb:900::/2826cb:90f:ffff:ffff:ffff:ffff:ffff:ffff
14626cb:910::/2826cb:91f:ffff:ffff:ffff:ffff:ffff:ffff
14726cb:920::/2826cb:92f:ffff:ffff:ffff:ffff:ffff:ffff
14826cb:930::/2826cb:93f:ffff:ffff:ffff:ffff:ffff:ffff
14926cb:940::/2826cb:94f:ffff:ffff:ffff:ffff:ffff:ffff
15026cb:950::/2826cb:95f:ffff:ffff:ffff:ffff:ffff:ffff
15126cb:960::/2826cb:96f:ffff:ffff:ffff:ffff:ffff:ffff
15226cb:970::/2826cb:97f:ffff:ffff:ffff:ffff:ffff:ffff
15326cb:980::/2826cb:98f:ffff:ffff:ffff:ffff:ffff:ffff
15426cb:990::/2826cb:99f:ffff:ffff:ffff:ffff:ffff:ffff
15526cb:9a0::/2826cb:9af:ffff:ffff:ffff:ffff:ffff:ffff
15626cb:9b0::/2826cb:9bf:ffff:ffff:ffff:ffff:ffff:ffff
15726cb:9c0::/2826cb:9cf:ffff:ffff:ffff:ffff:ffff:ffff
15826cb:9d0::/2826cb:9df:ffff:ffff:ffff:ffff:ffff:ffff
15926cb:9e0::/2826cb:9ef:ffff:ffff:ffff:ffff:ffff:ffff
16026cb:9f0::/2826cb:9ff:ffff:ffff:ffff:ffff:ffff:ffff
16126cb:a00::/2826cb:a0f:ffff:ffff:ffff:ffff:ffff:ffff
16226cb:a10::/2826cb:a1f:ffff:ffff:ffff:ffff:ffff:ffff
16326cb:a20::/2826cb:a2f:ffff:ffff:ffff:ffff:ffff:ffff
16426cb:a30::/2826cb:a3f:ffff:ffff:ffff:ffff:ffff:ffff
16526cb:a40::/2826cb:a4f:ffff:ffff:ffff:ffff:ffff:ffff
16626cb:a50::/2826cb:a5f:ffff:ffff:ffff:ffff:ffff:ffff
16726cb:a60::/2826cb:a6f:ffff:ffff:ffff:ffff:ffff:ffff
16826cb:a70::/2826cb:a7f:ffff:ffff:ffff:ffff:ffff:ffff
16926cb:a80::/2826cb:a8f:ffff:ffff:ffff:ffff:ffff:ffff
17026cb:a90::/2826cb:a9f:ffff:ffff:ffff:ffff:ffff:ffff
17126cb:aa0::/2826cb:aaf:ffff:ffff:ffff:ffff:ffff:ffff
17226cb:ab0::/2826cb:abf:ffff:ffff:ffff:ffff:ffff:ffff
17326cb:ac0::/2826cb:acf:ffff:ffff:ffff:ffff:ffff:ffff
17426cb:ad0::/2826cb:adf:ffff:ffff:ffff:ffff:ffff:ffff
17526cb:ae0::/2826cb:aef:ffff:ffff:ffff:ffff:ffff:ffff
17626cb:af0::/2826cb:aff:ffff:ffff:ffff:ffff:ffff:ffff
17726cb:b00::/2826cb:b0f:ffff:ffff:ffff:ffff:ffff:ffff
17826cb:b10::/2826cb:b1f:ffff:ffff:ffff:ffff:ffff:ffff
17926cb:b20::/2826cb:b2f:ffff:ffff:ffff:ffff:ffff:ffff
18026cb:b30::/2826cb:b3f:ffff:ffff:ffff:ffff:ffff:ffff
18126cb:b40::/2826cb:b4f:ffff:ffff:ffff:ffff:ffff:ffff
18226cb:b50::/2826cb:b5f:ffff:ffff:ffff:ffff:ffff:ffff
18326cb:b60::/2826cb:b6f:ffff:ffff:ffff:ffff:ffff:ffff
18426cb:b70::/2826cb:b7f:ffff:ffff:ffff:ffff:ffff:ffff
18526cb:b80::/2826cb:b8f:ffff:ffff:ffff:ffff:ffff:ffff
18626cb:b90::/2826cb:b9f:ffff:ffff:ffff:ffff:ffff:ffff
18726cb:ba0::/2826cb:baf:ffff:ffff:ffff:ffff:ffff:ffff
18826cb:bb0::/2826cb:bbf:ffff:ffff:ffff:ffff:ffff:ffff
18926cb:bc0::/2826cb:bcf:ffff:ffff:ffff:ffff:ffff:ffff
19026cb:bd0::/2826cb:bdf:ffff:ffff:ffff:ffff:ffff:ffff
19126cb:be0::/2826cb:bef:ffff:ffff:ffff:ffff:ffff:ffff
19226cb:bf0::/2826cb:bff:ffff:ffff:ffff:ffff:ffff:ffff
19326cb:c00::/2826cb:c0f:ffff:ffff:ffff:ffff:ffff:ffff
19426cb:c10::/2826cb:c1f:ffff:ffff:ffff:ffff:ffff:ffff
19526cb:c20::/2826cb:c2f:ffff:ffff:ffff:ffff:ffff:ffff
19626cb:c30::/2826cb:c3f:ffff:ffff:ffff:ffff:ffff:ffff
19726cb:c40::/2826cb:c4f:ffff:ffff:ffff:ffff:ffff:ffff
19826cb:c50::/2826cb:c5f:ffff:ffff:ffff:ffff:ffff:ffff
19926cb:c60::/2826cb:c6f:ffff:ffff:ffff:ffff:ffff:ffff
20026cb:c70::/2826cb:c7f:ffff:ffff:ffff:ffff:ffff:ffff
20126cb:c80::/2826cb:c8f:ffff:ffff:ffff:ffff:ffff:ffff
20226cb:c90::/2826cb:c9f:ffff:ffff:ffff:ffff:ffff:ffff
20326cb:ca0::/2826cb:caf:ffff:ffff:ffff:ffff:ffff:ffff
20426cb:cb0::/2826cb:cbf:ffff:ffff:ffff:ffff:ffff:ffff
20526cb:cc0::/2826cb:ccf:ffff:ffff:ffff:ffff:ffff:ffff
20626cb:cd0::/2826cb:cdf:ffff:ffff:ffff:ffff:ffff:ffff
20726cb:ce0::/2826cb:cef:ffff:ffff:ffff:ffff:ffff:ffff
20826cb:cf0::/2826cb:cff:ffff:ffff:ffff:ffff:ffff:ffff
20926cb:d00::/2826cb:d0f:ffff:ffff:ffff:ffff:ffff:ffff
21026cb:d10::/2826cb:d1f:ffff:ffff:ffff:ffff:ffff:ffff
21126cb:d20::/2826cb:d2f:ffff:ffff:ffff:ffff:ffff:ffff
21226cb:d30::/2826cb:d3f:ffff:ffff:ffff:ffff:ffff:ffff
21326cb:d40::/2826cb:d4f:ffff:ffff:ffff:ffff:ffff:ffff
21426cb:d50::/2826cb:d5f:ffff:ffff:ffff:ffff:ffff:ffff
21526cb:d60::/2826cb:d6f:ffff:ffff:ffff:ffff:ffff:ffff
21626cb:d70::/2826cb:d7f:ffff:ffff:ffff:ffff:ffff:ffff
21726cb:d80::/2826cb:d8f:ffff:ffff:ffff:ffff:ffff:ffff
21826cb:d90::/2826cb:d9f:ffff:ffff:ffff:ffff:ffff:ffff
21926cb:da0::/2826cb:daf:ffff:ffff:ffff:ffff:ffff:ffff
22026cb:db0::/2826cb:dbf:ffff:ffff:ffff:ffff:ffff:ffff
22126cb:dc0::/2826cb:dcf:ffff:ffff:ffff:ffff:ffff:ffff
22226cb:dd0::/2826cb:ddf:ffff:ffff:ffff:ffff:ffff:ffff
22326cb:de0::/2826cb:def:ffff:ffff:ffff:ffff:ffff:ffff
22426cb:df0::/2826cb:dff:ffff:ffff:ffff:ffff:ffff:ffff
22526cb:e00::/2826cb:e0f:ffff:ffff:ffff:ffff:ffff:ffff
22626cb:e10::/2826cb:e1f:ffff:ffff:ffff:ffff:ffff:ffff
22726cb:e20::/2826cb:e2f:ffff:ffff:ffff:ffff:ffff:ffff
22826cb:e30::/2826cb:e3f:ffff:ffff:ffff:ffff:ffff:ffff
22926cb:e40::/2826cb:e4f:ffff:ffff:ffff:ffff:ffff:ffff
23026cb:e50::/2826cb:e5f:ffff:ffff:ffff:ffff:ffff:ffff
23126cb:e60::/2826cb:e6f:ffff:ffff:ffff:ffff:ffff:ffff
23226cb:e70::/2826cb:e7f:ffff:ffff:ffff:ffff:ffff:ffff
23326cb:e80::/2826cb:e8f:ffff:ffff:ffff:ffff:ffff:ffff
23426cb:e90::/2826cb:e9f:ffff:ffff:ffff:ffff:ffff:ffff
23526cb:ea0::/2826cb:eaf:ffff:ffff:ffff:ffff:ffff:ffff
23626cb:eb0::/2826cb:ebf:ffff:ffff:ffff:ffff:ffff:ffff
23726cb:ec0::/2826cb:ecf:ffff:ffff:ffff:ffff:ffff:ffff
23826cb:ed0::/2826cb:edf:ffff:ffff:ffff:ffff:ffff:ffff
23926cb:ee0::/2826cb:eef:ffff:ffff:ffff:ffff:ffff:ffff
24026cb:ef0::/2826cb:eff:ffff:ffff:ffff:ffff:ffff:ffff
24126cb:f00::/2826cb:f0f:ffff:ffff:ffff:ffff:ffff:ffff
24226cb:f10::/2826cb:f1f:ffff:ffff:ffff:ffff:ffff:ffff
24326cb:f20::/2826cb:f2f:ffff:ffff:ffff:ffff:ffff:ffff
24426cb:f30::/2826cb:f3f:ffff:ffff:ffff:ffff:ffff:ffff
24526cb:f40::/2826cb:f4f:ffff:ffff:ffff:ffff:ffff:ffff
24626cb:f50::/2826cb:f5f:ffff:ffff:ffff:ffff:ffff:ffff
24726cb:f60::/2826cb:f6f:ffff:ffff:ffff:ffff:ffff:ffff
24826cb:f70::/2826cb:f7f:ffff:ffff:ffff:ffff:ffff:ffff
24926cb:f80::/2826cb:f8f:ffff:ffff:ffff:ffff:ffff:ffff
25026cb:f90::/2826cb:f9f:ffff:ffff:ffff:ffff:ffff:ffff
25126cb:fa0::/2826cb:faf:ffff:ffff:ffff:ffff:ffff:ffff
25226cb:fb0::/2826cb:fbf:ffff:ffff:ffff:ffff:ffff:ffff
25326cb:fc0::/2826cb:fcf:ffff:ffff:ffff:ffff:ffff:ffff
25426cb:fd0::/2826cb:fdf:ffff:ffff:ffff:ffff:ffff:ffff
25526cb:fe0::/2826cb:fef:ffff:ffff:ffff:ffff:ffff:ffff
25626cb:ff0::/2826cb:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses